macro driver {type} {
  switch -glob -- $type {
    tw* {
      :set Signal,Definition,Bandwidth {3000 20000}
    }
    mid* {
      :set Signal,Definition,Bandwidth {300 3000}
    }
    w* {
      :set Signal,Definition,Bandwidth {20 300}
    }
    lo* {
      :set Signal,Definition,Bandwidth {20 3000}
    }
    default {
      :set Signal,Definition,Bandwidth {20 20000}
    }
  }
       
  :set Signal,Definition,Bins 10/2
  :set Signal,Definition,Spacing log
  set ID [:measure]
  :eval $ID -weighting A
  set rms [:query $ID RMSweighted]
  set td [:query $ID TD]
  :message [format {%.1f dBA %.3f%%} $rms [expr {100*pow(10, ($td-$rms)/20)}]]
  return -code continue
}
